* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    background-color: #f5f5f5;
    color: #333;
}

.header {
    background-color: #6200ea;
    color: white;
    padding: 20px 0;
}


#ul_h2{
   margin-left: 46%; 
   margin-top: 2%;
}

body.dark #ul_h2 h2 {
    color: #000;
    text-align: center;

}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    margin: 0 auto;
}


.content {
    display: flex;
    margin: 20px;
}

.filter-container {
    width: 100%;
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    margin-right: 20px;
}


.separator-bar {
    width: 100%;
    height: 2px;
    background-color: #000;
    margin-top: 20px;
}



.filter-aside {
    width: 20%;
    margin-right: 20px;
    top: 0;
    max-height: calc(100vh - 20px);
}

.page-container{
    margin-top: 10px;
}

.filter-group{
    padding: 10px;
}

.filter-group h4{
    margin-top: 20px;
    font-size: 1em;
}


.card_list_productos {
    display: grid;
    grid-template-columns: repeat(3 , 1fr);
    width: 95%;
    gap: 25px;
    margin-left: 28px;
}

.card_list_productos img{
    height: 300px;
    width: 100%;
}

.card {
    cursor: pointer;

}

.card_list_productos img:hover{
    height: 400px;
    width: 105%;
}



.color-filter-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    margin-top: 10px;
}

.color-circles {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
    transition: border 0.3s;
    border: 2px solid transparent;
}

.color-circles.selected {
    border: 2px solid;
    border: linear-gradient(45deg, #ff0000, #00ff00, #0000ff, #ffff00) 1;

}

.color-circles {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor: pointer;
    transition: border 0.3s;
    border: 2px solid transparent;
}

.color-circles.white {
    border: 2px solid #ccc; /* Borde gris claro para que sea visible */
}

.color-circles.white.selected {
    border: 2px solid;
    border: linear-gradient(45deg, #ff0000, #00ff00, #0000ff, #ffff00) 1;
}



.filter-container {
    position: sticky;
    top: 0;
    background: white;
    z-index: 10;
    padding: 10px;
    border-right: 1px solid #ccc;
    
}


.carousel {
    display: flex;
    justify-content: center;
    align-items: center;
    perspective: 1000px;
    margin: 50px auto;
    width: 80%;
    overflow: hidden;
}
.carousel-inner {
    display: flex;
    transform-style: preserve-3d;
    transition: transform 1s;
}
.carousel-item {
    min-width: 300px;
    margin: 0 10px;
    transition: transform 1s;
}
.carousel-item img {
    width: 100%;
    border-radius: 10px;
}
.buttons {
    text-align: center;
    margin-top: 20px;
}
.buttons button {
    padding: 10px;
    margin: 5px;
}




#barra-especial {
    width: 140%;
    margin-right: 1;
}

.titles{
    color: rgb(27, 27, 27); 
    font-size: 30px;
    text-align: center;
}

body.dark .titles{
    color: rgb(255, 255, 255); 
    font-size: 30px;
    text-align: center;
}